libwxgtk-webview3.0-dev unmet dependencies in artful

Bug #1720953 reported by slodki on 2017-10-03
16
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Money Manager Ex
Fix Released
Unknown
wxwidgets3.0 (Ubuntu)
Undecided
Unassigned

Bug Description

> Some packages could not be installed. This may mean that you have
> requested an impossible situation or if you are using the unstable
> distribution that some required packages have not yet been created
> or been moved out of Incoming.
> The following information may help to resolve the situation:
>
> The following packages have unmet dependencies:
>
> libwxgtk-webview3.0-dev : Depends: wx3.0-headers (= 3.0.3.1+dfsg-1) but 3.0.3.1+dfsg2-1 is to be installed
> Depends: libwxgtk3.0-dev (= 3.0.3.1+dfsg-1) but 3.0.3.1+dfsg2-1 is to be installed

Debian will drop wxgtk-webview support in 2019. Ubuntu will drop in 2 weeks?

slodki (slodki) on 2017-10-03
tags: added: amd64 packaging unmetdeps
removed: broken dependencies
slodki (slodki) on 2017-10-03
description: updated
Changed in mmex:
status: Unknown → New

On Tue, Oct 03, 2017 at 07:56:42AM -0000, slodki wrote:
> > libwxgtk-webview3.0-dev : Depends: wx3.0-headers (= 3.0.3.1+dfsg-1) but 3.0.3.1+dfsg2-1 is to be installed
> > Depends: libwxgtk3.0-dev (= 3.0.3.1+dfsg-1) but 3.0.3.1+dfsg2-1 is to be installed
> +
> + Debian will drop wxgtk-webview support in 2019. Ubuntu will drop in 2
> + weeks?

Not sure why you think 2019 - it's already gone from Debian unstable,
and it'll be gone from Debian testing tomorrow or the day after:

https://qa.debian.org/excuses.php?package=wxwidgets3.0

Bringing it back requires a switch to GTK+3, which will involve a
significant amount of work in testing reverse dependencies and getting
bugs in wx's GTK+3 support fixed (and initial investigations suggest
there may be quite a lot).

There was only one reverse dependency in Debian (boinc) which we've
switched to use wxHtmlWindow for now - if you've an Ubuntu-only reverse
dependency, then that's probably something to investigate. You can
see the changes made to boinc here:

https://launchpadlibrarian.net/339022770/boinc_7.8.2+dfsg-3_7.8.2+dfsg-4.diff.gz

Cheers,
    Olly

slodki (slodki) wrote :

I'm talking about stable Debian and stable Ubuntu - I expect Debian stable with this change be published in 2019 and there is time to rebuild this library or switch to another one by applications authors.

This bug report is about change in Ubuntu artful, expected to be released as stable in next 2 weeks. I don't understand why this change is implemented few days before release without chance to rewrite applications using this library.

Ubuntu should follow this Debian change with similar schedule with ability to deliver compatible library version or to update depended applications.

MMEX application have artful packages already prepared and published but they are broken with unmet dependencies now.

slodki (slodki) wrote :

From wxHtmlWindow Class Reference:
> Note
> If you want complete HTML/CSS support as well as a Javascript engine, see instead wxWebView.

MMEX application uses wxWebView for displaying dynamic graphical reports using JS so using wxHtmlWindow will not be right solution IMHO.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in wxwidgets3.0 (Ubuntu):
status: New → Confirmed
Changed in mmex:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.